TYPO3.Neos - Bug # 52914

Status: Closed Priority: Should have

Author: Fedir RYKHTIK Category:

Created: 2013-10-17 Assigned To: Bastian Waidelich

Updated: 2013-12-11 Due date:

Subiject: Class TYPO3\Flow\ComposennstallerScripts is not autoloadable, can not call post-package-install script
Description

Hi guys,

I'm trying to install TYPOS3 Neos 1.0 alpha 6 after the tutorial, proposed on http://neos.typo3.org/download.html

During installation there are lots of messages "Class TYPO3\Flow\ComposennstallerScripts is not autoloadable, can not call

post-package-install script" appears.
The log is in the attachment.

My system config :

Ubuntu 12.04 LTS

PHP 5.4.6-1ubuntu1.4 (cli) (built: Sep 4 2013 19:36:09)
Composer version 34dd0e2850b20f6d9e40c9cab6024629cdc1a9aaf 2013-10-16 16:35:44

A similar anomaly was detected previously with old version of composer, but it's seems to be resolved. | tried patched version of

composer, but messages appears anyway.

Looks like it's anormal behavior. Could You check, please.

Best Regards,
Fedir

Related issues:
duplicates TYPO3.Flow - Bug # 53620: Move Classes/TYPOS3/Flow/Composer to own ... New

2013-11-13

History

#1 - 2013-10-19 11:13 - Oliver Eglseder

I've got the same issue after cloning the latest git Flow/Distribution/Base.
| have tried 'composer install' as well 'composer install --dev'

on my Windows 7 Pro 64-bit and on my Debian 7.1 64-bit

Composer version bfc234574fee192a581b2bc6a4a9cead9311de8b8

The message appears after all symfony and doctrine packages.

Apart from the errors i could kickstart a package and open the Website.

| think this Issue belongs to http://forge.typo3.org/projects/package-typo3-flow

Update:
Composer update on existing Neos/Distributions/Base returns

"Method TYPOS3\Flow\ComposenInstallerScripts::postPackageUpdateAndinstall is not callable, can not call post-package-update script"

2015-08-04

1/2



http://neos.typo3.org/download.html
http://forge.typo3.org/projects/package-typo3-flow

on all checkouts

Update:

Review: Rens Admiraal Oct 11 12:30 PM
Patch Set 4: Verified+2 Code-Review+1

Works (although the install shows warnings about the script not being callable for all packages installed before Flow ofc.)

Problem is known but still got merged?
https://review.typo3.org/#/c/15141/

#2 - 2013-12-11 20:23 - Bastian Waidelich
- Status changed from New to Closed
- Assigned To set to Bastian Waidelich

Closing as duplicate of #53620

BTW: You can ignore this message, see http://forum.typo3.org/index.php/t/200300/
